|  | Class Members updated Wed Apr 10 2024 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - o -

- o : reflex::Pattern::Option
- one_ : reflex::Pattern
- opc_ : reflex::Pattern , reflex::PCRE2Matcher
- Opcode : reflex::Pattern
- opcode_goto() : reflex::Pattern
- opcode_halt() : reflex::Pattern
- opcode_head() : reflex::Pattern
- opcode_long() : reflex::Pattern
- opcode_redo() : reflex::Pattern
- opcode_tail() : reflex::Pattern
- opcode_take() : reflex::Pattern
- Operation() : reflex::AbstractMatcher::Operation
- operator bool() : reflex::Bits::Bitref , reflex::BufferedInput , reflex::Input , reflex::Pattern::Chars
- operator const char *() : reflex::Input
- operator const wchar_t *() : reflex::Input
- operator FILE *() : reflex::Input
- operator size_t() : reflex::AbstractMatcher
- operator std::istream *() : reflex::Input
- operator std::pair< size_t, std::string >() : reflex::AbstractMatcher
- operator std::string() : reflex::AbstractMatcher
- operator std::wstring() : reflex::AbstractMatcher
- operator value_type() : reflex::Pattern::Position
- operator!=() : reflex::AbstractMatcher::Iterator< T > , reflex::AbstractMatcher , reflex::Bits , reflex::lazy_intersection< S1, S2 >::iterator , reflex::lazy_union< S1, S2 >::iterator , reflex::Pattern::Chars
- operator&() : reflex::Bits , reflex::ORanges< T > , reflex::Pattern::Chars , reflex::Ranges< T >
- operator&=() : reflex::Bits::Bitref , reflex::Bits , reflex::ORanges< T > , reflex::Pattern::Chars , reflex::Ranges< T >
- operator()() : reflex::AbstractMatcher::Handler , reflex::AbstractMatcher::Operation , reflex::Input::Handler , reflex::Posix::Tables::lt , reflex::range_compare< T >
- operator*() : reflex::AbstractMatcher::Iterator< T > , reflex::lazy_intersection< S1, S2 >::iterator , reflex::lazy_union< S1, S2 >::iterator
- operator+() : reflex::ORanges< T > , reflex::Pattern::Chars , reflex::Ranges< T >
- operator++() : reflex::AbstractMatcher::Iterator< T > , reflex::lazy_intersection< S1, S2 >::iterator , reflex::lazy_union< S1, S2 >::iterator
- operator+=() : reflex::Pattern::Chars , reflex::Ranges< T >
- operator-() : reflex::Bits , reflex::ORanges< T > , reflex::Pattern::Chars
- operator-=() : reflex::Bits , reflex::ORanges< T > , reflex::Pattern::Chars
- operator->() : reflex::AbstractMatcher::Iterator< T >
- operator<() : reflex::Bits , reflex::Pattern::Chars , reflex::Ranges< T >
- operator<=() : reflex::Bits , reflex::Pattern::Chars , reflex::Ranges< T >
- operator=() : reflex::Bits::Bitref , reflex::Bits , reflex::BoostMatcher , reflex::BufferedInput , reflex::Input , reflex::LineMatcher , reflex::Matcher , reflex::Pattern::Chars , reflex::Pattern , reflex::Pattern::Position , reflex::PatternMatcher< P > , reflex::PatternMatcher< std::string > , reflex::PCRE2Matcher , reflex::StdMatcher
- operator==() : reflex::AbstractMatcher::Iterator< T > , reflex::AbstractMatcher , reflex::Bits , reflex::lazy_intersection< S1, S2 >::iterator , reflex::lazy_union< S1, S2 >::iterator , reflex::Pattern::Chars
- operator>() : reflex::Bits , reflex::Pattern::Chars , reflex::Ranges< T >
- operator>=() : reflex::Bits , reflex::Pattern::Chars , reflex::Ranges< T >
- operator[]() : reflex::AbstractMatcher , reflex::Bits , reflex::BoostMatcher , reflex::LineMatcher , reflex::Matcher , reflex::Pattern , reflex::PCRE2Matcher , reflex::StdMatcher
- operator^() : reflex::Bits , reflex::Pattern::Chars
- operator^=() : reflex::Bits::Bitref , reflex::Bits , reflex::Pattern::Chars
- operator|() : reflex::Bits , reflex::ORanges< T > , reflex::Pattern::Chars , reflex::Ranges< T >
- operator|=() : reflex::Bits::Bitref , reflex::Bits , reflex::Pattern::Chars , reflex::Ranges< T >
- operator~() : reflex::Bits , reflex::Pattern::Chars
- opt_ : reflex::AbstractMatcher , reflex::Pattern
- Option() : reflex::AbstractMatcher::Option , reflex::Pattern::Option
- options : Reflex
- ORanges() : reflex::ORanges< T >
- os() : reflex::AbstractLexer< M >
- os_ : reflex::AbstractLexer< M >
- out() : reflex::AbstractLexer< M > , Reflex
- output() : reflex::FlexLexer< M >
- own_ : reflex::AbstractMatcher , reflex::PatternMatcher< P > , reflex::PatternMatcher< std::string >
- own_pattern() : reflex::PatternMatcher< P > , reflex::PatternMatcher< std::string >